-- Recovery of image data stored in the atlas file

local gr = love.graphics
local at = require 'atlas'

function love.load()
	gr.setCaption( 'Extraction of Images from an Atlas' )
	at.load('spritesheet2.png','geometry2.txt')
	rot, sel, lapsed_time = 0, 1, 0
	end

function love.draw()
	gr.draw( at.sheet,0,0,0,.4,.4 )
	for i = 1, 7 do
		gr.drawq( at.sheet, at.geometries[i], 100*i, 520-50*i, rot, 1, 1, at.size[i][1]/2, at.size[i][2]/2 )
		end
	gr.drawq( at.sheet, at.geometries[sel], 730, 530, 0, 1, 1, at.size[sel][1]/2, at.size[sel][2]/2 )
	gr.print(at.names[sel],710,530)
	gr.drawq( at.sheet, at.geometries[at.num['sm05']],  530, 460, 0, 2, 2, at. size[5][1]/2, at.size[5][2]/2 )
	end

function love.update( dt )
	rot = rot + dt
	lapsed_time = lapsed_time + dt
	if lapsed_time > 0.4 then
		sel = sel < #at.names and sel + 1 or 1
		lapsed_time = 0
		end
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' )	end
	end
function find_image(name)
	for i=1,#at.names do
		if name==at.names[i] then
			return i
			end
		end
	return 0
	end

